// Tue Nov 12 14:34:55 MET 1996 by Daniel Bhringer

#import <appkit/appkit.h>
#import <misckit/misckit.h>
#import <misckit/MiscTreeBrowser.h>
#import <misckit/MiscTreeBrowserProtocols.h>

@interface Matrix(SelExtension)
- scrollCellToVisible:aCell;
@end

@interface MiscTreeBrowser(NXBrowserCompat)
- setBrowserDelegate:aDelegate;	// related to setRoot
- setDelegate:aDelegate;	// related to setRoot
- refineBackgroundColor;	// smart display on monochrome systems
@end

@interface MiscTree(TreeBrowserDelegate)
- parent;			// returns nil;
- setParent:(id<MiscTreeBrowserNodes>)aNode;

- (const char *)stringValue;	//returns label
- (unsigned int)childCount;
- childAt:(int)index;
- (int)indexOfChild:(id<MiscTreeBrowserNodes>)aNode;
- setStringValue:(const char *)aString;
- createChildAfter:(id<MiscTreeBrowserNodes>)aNode;
- createSibling;	// only applicable for the root class
- addChild:(id<MiscTreeBrowserNodes>)aNode at:(int)index;
- addChild:(id<MiscTreeBrowserNodes>)aNode;
- removeChildAt:(int)index;
- removeChild:(id<MiscTreeBrowserNodes>)aNode;
- (BOOL)canFree;	//returns NO
@end